<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class IpnNotification extends Model
{
    use HasFactory;

    protected $table = 'islim_ipn_notification';

    protected $fillable = [
        'end_point',
        'transaction',
        'data',
        'unique_transaction',
        'n_notification',
        'response_code',
        'date_reg',
        'status'
    ];

    public $timestamps = false;
}
